### Method

# Adw Flap set_swipe_to_close

deprecated: 1.4

#### Declaration [src]

    void
    adw_flap_set_swipe_to_close (
      AdwFlap* self,
      gboolean swipe_to_close
    )

#### Description [src]

Sets whether `self` can be closed with a swipe gesture.

The area that can be swiped depends on the `AdwFlap:transition-type` value.

Deprecated since: 1.4

See the migration guide.

Sets property | `Adw.Flap:swipe-to-close`

#### Parameters

`swipe_to_close`

  Type: `gboolean`

  Whether `self` can be closed with a swipe gesture.